Package com.collibra.dgc.core.api.dto.meta.path

# Class PathNodeFilterRequest

Object
PathNodeFilterRequest

All Implemented Interfaces:
  `Serializable`

public class PathNodeFilterRequest extends Object implements Serializable
Specifies the details for a filter.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PathNodeFilterRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PathNodeFilterRequest()`
  `PathNodeFilterRequest(List<PathNodeFilterRequest> and, List<PathNodeFilterRequest> or, PublicIdFilterRequest typePublicId, UuidFilterRequest statusId, TagCollectionFilterRequest tags, DateFilterRequest createdOn, DateFilterRequest lastModifiedOn, StringAttributeCollectionFilterRequest stringAttributes, NumericAttributeCollectionFilterRequest numericAttributes, BooleanAttributeCollectionFilterRequest booleanAttributes, DateAttributeCollectionFilterRequest dateAttributes, RelationCollectionFilterRequest incomingRelations, RelationCollectionFilterRequest outgoingRelations, ResourceExistsFilterRequest responsibilityRoles, UuidFilterRequest assetId, UuidFilterRequest domainId, CommunityCollectionFilterRequest communityIds, PublicIdFilterRequest domainTypePublicId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PathNodeFilterRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<PathNodeFilterRequest>`
  `getAnd()`
  `UuidFilterRequest`
  `getAssetId()`
  `BooleanAttributeCollectionFilterRequest`
  `getBooleanAttributes()`
  `CommunityCollectionFilterRequest`
  `getCommunityIds()`
  `DateFilterRequest`
  `getCreatedOn()`
  `DateAttributeCollectionFilterRequest`
  `getDateAttributes()`
  `UuidFilterRequest`
  `getDomainId()`
  `PublicIdFilterRequest`
  `getDomainTypePublicId()`
  `RelationCollectionFilterRequest`
  `getIncomingRelations()`
  `DateFilterRequest`
  `getLastModifiedOn()`
  `NumericAttributeCollectionFilterRequest`
  `getNumericAttributes()`
  `List<PathNodeFilterRequest>`
  `getOr()`
  `RelationCollectionFilterRequest`
  `getOutgoingRelations()`
  `ResourceExistsFilterRequest`
  `getResponsibilityRoles()`
  `UuidFilterRequest`
  `getStatusId()`
  `StringAttributeCollectionFilterRequest`
  `getStringAttributes()`
  `TagCollectionFilterRequest`
  `getTags()`
  `PublicIdFilterRequest`
  `getTypePublicId()`
  `int`
  `hashCode()`
  `void`
  `setAnd(List<PathNodeFilterRequest> and)`
  `void`
  `setAssetId(UuidFilterRequest assetId)`
  `void`
  `setBooleanAttributes(BooleanAttributeCollectionFilterRequest booleanAttributes)`
  `void`
  `setCommunityIds(CommunityCollectionFilterRequest communityIds)`
  `void`
  `setCreatedOn(DateFilterRequest createdOn)`
  `void`
  `setDateAttributes(DateAttributeCollectionFilterRequest dateAttributes)`
  `void`
  `setDomainId(UuidFilterRequest domainId)`
  `void`
  `setDomainTypePublicId(PublicIdFilterRequest domainTypePublicId)`
  `void`
  `setIncomingRelations(RelationCollectionFilterRequest incomingRelations)`
  `void`
  `setLastModifiedOn(DateFilterRequest lastModifiedOn)`
  `void`
  `setNumericAttributes(NumericAttributeCollectionFilterRequest numericAttributes)`
  `void`
  `setOr(List<PathNodeFilterRequest> or)`
  `void`
  `setOutgoingRelations(RelationCollectionFilterRequest outgoingRelations)`
  `void`
  `setResponsibilityRoles(ResourceExistsFilterRequest responsibilityRoles)`
  `void`
  `setStatusId(UuidFilterRequest statusId)`
  `void`
  `setStringAttributes(StringAttributeCollectionFilterRequest stringAttributes)`
  `void`
  `setTags(TagCollectionFilterRequest tags)`
  `void`
  `setTypePublicId(PublicIdFilterRequest typePublicId)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PathNodeFilterRequest

    public PathNodeFilterRequest()

  - ### PathNodeFilterRequest

    public PathNodeFilterRequest(List<PathNodeFilterRequest> and, List<PathNodeFilterRequest> or, PublicIdFilterRequest typePublicId, UuidFilterRequest statusId, TagCollectionFilterRequest tags, DateFilterRequest createdOn, DateFilterRequest lastModifiedOn, StringAttributeCollectionFilterRequest stringAttributes, NumericAttributeCollectionFilterRequest numericAttributes, BooleanAttributeCollectionFilterRequest booleanAttributes, DateAttributeCollectionFilterRequest dateAttributes, RelationCollectionFilterRequest incomingRelations, RelationCollectionFilterRequest outgoingRelations, ResourceExistsFilterRequest responsibilityRoles, UuidFilterRequest assetId, UuidFilterRequest domainId, CommunityCollectionFilterRequest communityIds, PublicIdFilterRequest domainTypePublicId)

- ## Method Details

  - ### builder

    public static PathNodeFilterRequest.Builder builder()

  - ### getAnd

    public List<PathNodeFilterRequest> getAnd()

  - ### getOr

    public List<PathNodeFilterRequest> getOr()

  - ### getTypePublicId

    public PublicIdFilterRequest getTypePublicId()

  - ### getStatusId

    public UuidFilterRequest getStatusId()

  - ### getTags

    public TagCollectionFilterRequest getTags()

  - ### getCreatedOn

    public DateFilterRequest getCreatedOn()

  - ### getLastModifiedOn

    public DateFilterRequest getLastModifiedOn()

  - ### getStringAttributes

    public StringAttributeCollectionFilterRequest getStringAttributes()

  - ### getNumericAttributes

    public NumericAttributeCollectionFilterRequest getNumericAttributes()

  - ### getBooleanAttributes

    public BooleanAttributeCollectionFilterRequest getBooleanAttributes()

  - ### getDateAttributes

    public DateAttributeCollectionFilterRequest getDateAttributes()

  - ### getIncomingRelations

    public RelationCollectionFilterRequest getIncomingRelations()

  - ### getOutgoingRelations

    public RelationCollectionFilterRequest getOutgoingRelations()

  - ### getResponsibilityRoles

    public ResourceExistsFilterRequest getResponsibilityRoles()

  - ### getAssetId

    public UuidFilterRequest getAssetId()

  - ### getDomainId

    public UuidFilterRequest getDomainId()

  - ### getCommunityIds

    public CommunityCollectionFilterRequest getCommunityIds()

  - ### getDomainTypePublicId

    public PublicIdFilterRequest getDomainTypePublicId()

  - ### setAnd

    public void setAnd(List<PathNodeFilterRequest> and)

  - ### setOr

    public void setOr(List<PathNodeFilterRequest> or)

  - ### setTypePublicId

    public void setTypePublicId(PublicIdFilterRequest typePublicId)

  - ### setStatusId

    public void setStatusId(UuidFilterRequest statusId)

  - ### setTags

    public void setTags(TagCollectionFilterRequest tags)

  - ### setCreatedOn

    public void setCreatedOn(DateFilterRequest createdOn)

  - ### setLastModifiedOn

    public void setLastModifiedOn(DateFilterRequest lastModifiedOn)

  - ### setStringAttributes

    public void setStringAttributes(StringAttributeCollectionFilterRequest stringAttributes)

  - ### setNumericAttributes

    public void setNumericAttributes(NumericAttributeCollectionFilterRequest numericAttributes)

  - ### setBooleanAttributes

    public void setBooleanAttributes(BooleanAttributeCollectionFilterRequest booleanAttributes)

  - ### setDateAttributes

    public void setDateAttributes(DateAttributeCollectionFilterRequest dateAttributes)

  - ### setIncomingRelations

    public void setIncomingRelations(RelationCollectionFilterRequest incomingRelations)

  - ### setOutgoingRelations

    public void setOutgoingRelations(RelationCollectionFilterRequest outgoingRelations)

  - ### setResponsibilityRoles

    public void setResponsibilityRoles(ResourceExistsFilterRequest responsibilityRoles)

  - ### setAssetId

    public void setAssetId(UuidFilterRequest assetId)

  - ### setDomainId

    public void setDomainId(UuidFilterRequest domainId)

  - ### setCommunityIds

    public void setCommunityIds(CommunityCollectionFilterRequest communityIds)

  - ### setDomainTypePublicId

    public void setDomainTypePublicId(PublicIdFilterRequest domainTypePublicId)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`